<template>
  <NodeViewWrapper>
    <div class="w-full max-w-[697px] min-h-[289px] mx-auto flex items-center justify-center rounded-[4px] bg-light-grey">
      <div class="w-full max-w-[521px] h-full flex flex-col items-center justify-center">
        <v-progress-circular :model-value="props.node.attrs.progress" :size="100" :width="6" color="primary" >
          <template #default>
            <img class="w-[90px] h-[90px] rounded-full !m-0 !p-0 block" :src="src" alt="" />
          </template>
        </v-progress-circular>
      </div>
    </div>
  </NodeViewWrapper>
</template>

<script setup>
import { nodeViewProps, NodeViewWrapper } from '@tiptap/vue-3';

const props = defineProps(nodeViewProps);
const { src } = props.node.attrs;
</script>
